> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve channel thread



## OpenAPI

````yaml get /channels/{channel_id}/threads/{thread_id}
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels/{channel_id}/threads/{thread_id}:
    get:
      tags:
        - Channels
      summary: Retrieve channel thread
      operationId: Channels.retrieveThread
      parameters:
        - $ref: '#/components/parameters/channel_id'
        - $ref: '#/components/parameters/thread_id'
      responses:
        '200':
          description: Thread
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelThread'
components:
  parameters:
    channel_id:
      name: channel_id
      in: path
      required: true
      schema:
        type: string
    thread_id:
      name: thread_id
      in: path
      required: true
      schema:
        type: string
  schemas:
    ChannelThread:
      type: object
      required:
        - object
        - id
        - channel_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - thread
        id:
          type: string
        channel_id:
          type: string
        root_message_id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````